# Created by pyp2rpm-1.0.1
%global pypi_name extras

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 11
Group:          Development/Python
Summary:        Useful extra bits for Python - things that should be in the standard library

License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        %{pypi_source}
BuildArch:      noarch

%description
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%package -n     python3-%{pypi_name}
Summary:        Useful extra bits for Python - things that should be in the standard library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
extras is a set of extensions to the Python standard
library, originally
written to make the code within testtools cleaner, but now
split out for
general use outside of a testing context.


pydoc extras is your friend. extras currently contains the
following functions:

* try_import

* try_imports

* safe_hasattr

Which do
what their name ...


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1822262
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.0-10.mga9
+ Revision: 1772501
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.0.0-9.mga9
+ Revision: 1703583
- rebuild for python 3.9

* Wed Aug 05 2020 kekepower <kekepower> 1.0.0-8.mga8
+ Revision: 1611256
- Bump rel for a rebuild due to failing dependencies

* Thu Jul 23 2020 ovitters <ovitters> 1.0.0-7.mga8
+ Revision: 1608271
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-6.mga8
+ Revision: 1531446
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.0.0-5.mga8
+ Revision: 1440358
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.0.0-4.mga7
+ Revision: 1351370
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1288841
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-2.mga7
+ Revision: 1135418
- Rebuild for python 3.6

* Mon Jan 02 2017 bcornec <bcornec> 1.0.0-1.mga6
+ Revision: 1079638
- update to upstream python-extras 1.0.0.

* Fri Feb 19 2016 umeabot <umeabot> 0.0.3-4.mga6
+ Revision: 970868
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.0.3-3.mga6
+ Revision: 888766
- rebuild for python 3.5 + fixed summary

* Fri Sep 04 2015 daviddavid <daviddavid> 0.0.3-2.mga6
+ Revision: 872872
- add python3 package
- add upstream URL
- use new python2 macro
- update file list

* Mon Jul 13 2015 bcornec <bcornec> 0.0.3-1.mga6
+ Revision: 853467
- Fix missing dep on python-setuptools
- Import python-extras
- Created package structure for python-extras.

